Bug 181524 - [patch] update devel/p5-Log-Report to 0.99.4
[patch] update devel/p5-Log-Report to 0.99.4
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Lars Thegler
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-25 14:10 UTC by Andrej Zverev
Modified: 2013-08-26 21:50 UTC (History)
0 users

See Also:


Attachments
p5-Log-Report.diff.txt (3.04 KB, text/plain)
2013-08-25 14:10 UTC, Andrej Zverev
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrej Zverev freebsd_committer 2013-08-25 14:10:00 UTC
	- Update to 0.99.4
	- Add Devel::GlobalDestruction as runtime depend
	- Trim Makefile header
	- adjust WWW line in port description
Comment 1 Edwin Groothuis freebsd_committer 2013-08-25 14:10:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lth

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2013-08-26 21:40:56 UTC
Author: lth
Date: Mon Aug 26 20:40:47 2013
New Revision: 325416
URL: http://svnweb.freebsd.org/changeset/ports/325416

Log:
  - Update to 0.99.4
  - Add Devel::GlobalDestruction as runtime depend
  - Trim Makefile header
  - adjust WWW line in port description
  
  PR:		ports/181524
  Submitted by:	az

Modified:
  head/devel/p5-Log-Report/Makefile
  head/devel/p5-Log-Report/distinfo
  head/devel/p5-Log-Report/pkg-descr
  head/devel/p5-Log-Report/pkg-plist

Modified: head/devel/p5-Log-Report/Makefile
==============================================================================
--- head/devel/p5-Log-Report/Makefile	Mon Aug 26 20:28:06 2013	(r325415)
+++ head/devel/p5-Log-Report/Makefile	Mon Aug 26 20:40:47 2013	(r325416)
@@ -1,12 +1,8 @@
-# New ports collection makefile for:	p5-Log-Report
-# Date created:		2007-08-14
-# Whom:			Jin-Shan Tseng <tjs@cdpa.nsysu.edu.tw>
-#
+# Created by: Jin-Shan Tseng <tjs@cdpa.nsysu.edu.tw>
 # $FreeBSD$
-#
 
 PORTNAME=	Log-Report
-PORTVERSION=	0.99.1
+PORTVERSION=	0.99.4
 CATEGORIES=	devel perl5
 MASTER_SITES=	CPAN
 MASTER_SITE_SUBDIR=	CPAN:MARKOV
@@ -16,6 +12,8 @@ DISTNAME=	${PORTNAME}-${PORTVERSION:C/\.
 MAINTAINER=	lth@FreeBSD.org
 COMMENT=	Report a problem, pluggable handlers and language support
 
+RUN_DEPENDS=	p5-Devel-GlobalDestruction>=0.09:${PORTSDIR}/devel/p5-Devel-GlobalDestruction
+
 USES=		perl5
 USE_PERL5=	configure
 
@@ -34,9 +32,11 @@ MAN3=	Log::Report.3 \
 	Log::Report::Extract::PerlPPI.3 \
 	Log::Report::Extract::Template.3 \
 	Log::Report::Lexicon::Index.3 \
+	Log::Report::Lexicon::MOTcompact.3 \
 	Log::Report::Lexicon::PO.3 \
 	Log::Report::Lexicon::POT.3 \
 	Log::Report::Lexicon::POTcompact.3 \
+	Log::Report::Lexicon::Table.3 \
 	Log::Report::Message.3 \
 	Log::Report::Translator.3 \
 	Log::Report::Translator::Gettext.3 \

Modified: head/devel/p5-Log-Report/distinfo
==============================================================================
--- head/devel/p5-Log-Report/distinfo	Mon Aug 26 20:28:06 2013	(r325415)
+++ head/devel/p5-Log-Report/distinfo	Mon Aug 26 20:40:47 2013	(r325416)
@@ -1,2 +1,2 @@
-SHA256 (Log-Report-0.991.tar.gz) = fce181ebfd4a6020a6a89db77b9a03466e5e300d8869d223dca79df6e83fccd4
-SIZE (Log-Report-0.991.tar.gz) = 95682
+SHA256 (Log-Report-0.994.tar.gz) = 5ee25b923a3d53fd9f68628642158f5349ceeafe71f8916b22e132ae2b0f958c
+SIZE (Log-Report-0.994.tar.gz) = 101854

Modified: head/devel/p5-Log-Report/pkg-descr
==============================================================================
--- head/devel/p5-Log-Report/pkg-descr	Mon Aug 26 20:28:06 2013	(r325415)
+++ head/devel/p5-Log-Report/pkg-descr	Mon Aug 26 20:40:47 2013	(r325416)
@@ -5,4 +5,4 @@ this. Log::Report combines gettext featu
 However, you can also use this module to do only translations or only message
 dispatching.
 
-WWW:	http://search.cpan.org/dist/Log-Report/
+WWW: http://search.cpan.org/dist/Log-Report/

Modified: head/devel/p5-Log-Report/pkg-plist
==============================================================================
--- head/devel/p5-Log-Report/pkg-plist	Mon Aug 26 20:28:06 2013	(r325415)
+++ head/devel/p5-Log-Report/pkg-plist	Mon Aug 26 20:40:47 2013	(r325416)
@@ -31,12 +31,16 @@ bin/xgettext-perl
 %%SITE_PERL%%/Log/Report/Extract/Template.pod
 %%SITE_PERL%%/Log/Report/Lexicon/Index.pm
 %%SITE_PERL%%/Log/Report/Lexicon/Index.pod
+%%SITE_PERL%%/Log/Report/Lexicon/MOTcompact.pm
+%%SITE_PERL%%/Log/Report/Lexicon/MOTcompact.pod
 %%SITE_PERL%%/Log/Report/Lexicon/PO.pm
 %%SITE_PERL%%/Log/Report/Lexicon/PO.pod
 %%SITE_PERL%%/Log/Report/Lexicon/POT.pm
 %%SITE_PERL%%/Log/Report/Lexicon/POT.pod
 %%SITE_PERL%%/Log/Report/Lexicon/POTcompact.pm
 %%SITE_PERL%%/Log/Report/Lexicon/POTcompact.pod
+%%SITE_PERL%%/Log/Report/Lexicon/Table.pm
+%%SITE_PERL%%/Log/Report/Lexicon/Table.pod
 %%SITE_PERL%%/Log/Report/Message.pm
 %%SITE_PERL%%/Log/Report/Message.pod
 %%SITE_PERL%%/Log/Report/Translator.pm
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Lars Thegler freebsd_committer 2013-08-26 21:41:48 UTC
State Changed
From-To: open->closed

Committed. Thanks!